Page MenuHomePhabricator

New namespaces and aliases for ne.wikibooks
Closed, ResolvedPublic

Description

We need three new namespace for ne.wikibooks. They are as follows:

'पाकपुस्तक' (Cookbook), 'बालपुस्तक' (Wikijunior) and 'विषय' (Subject)

also their respective talk parts

'पाकपुस्तक वार्ता' (Cookbook talk)
'बालपुस्तक वार्ता' (Wikijunior talk)
'विषय वार्ता' (Subject talk)

then, we need following aliases with some priority

'Wikibooks' => NS_PROJECT,
'Wikibooks talk' => NS_PROJECT_TALK,
'Cookbook' => 'पाकपुस्तक'
'Cookbook talk' => 'पाकपुस्तक वार्ता'
'Wikijunior' => 'बालपुस्तक'
'Wikijunior talk' => 'बालपुस्तक वार्ता'
'Subject' => 'विषय'
'Subject talk' => 'विषय वार्ता'

and following aliases with lesser priority

'विपु' => NS_PROJECT,
'विपु वा' => NS_PROJECT_TALK,
'प्र' => NS_USER,
'प्र वा' => NS_USER_TALK,
'ढाँ' => NS_TEMPLATE,
'ढाँ वा' => NS_TEMPLATE_TALK,
'श्रे' => NS_CATEGORY,
'श्रे वा' => NS_CATEGORY_TALK,

Community Discussion link:https://ne.wikibooks.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%81%E0%A4%B8%E0%A5%8D%E0%A4%A4%E0%A4%95:%E0%A4%9A%E0%A5%8C%E0%A4%A4%E0%A4%BE%E0%A4%B0%E0%A5%80#New_namespaces_and_aliases_for_ne.wikibooks

Regards
Biplab Anand
(U:बिप्लब आनन्द)

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptApr 4 2016, 10:15 AM
biplabanand triaged this task as Normal priority.Apr 4 2016, 10:15 AM
Dereckson updated the task description. (Show Details)Apr 4 2016, 10:38 AM
Urbanecm claimed this task.Apr 4 2016, 12:08 PM

Change 281443 had a related patch set uploaded (by Urbanecm):
Add new namespaces and new aliases for newikibooks

https://gerrit.wikimedia.org/r/281443

Change 281443 merged by jenkins-bot:
Add new namespaces and new aliases for newikibooks

https://gerrit.wikimedia.org/r/281443

Urbanecm closed this task as Resolved.Apr 11 2016, 3:08 PM

Deployed.

biplabanand reopened this task as Open.Apr 13 2016, 12:34 PM

@Urbanecm There is problem with two namespace in Devanagari, pl take a look

The 'वा' is missing from the given namespaces (after the deployment). The namespace is as follows:

'Cookbook talk' => 'पाकपुस्तक वार्ता'
'Wikijunior talk' => 'बालपुस्तक वार्ता'

Opss. I'll fix it and schedule it for today morning SWAT window.

Change 283183 had a related patch set uploaded (by Urbanecm):
Fix typo in newikibooks namespaces

https://gerrit.wikimedia.org/r/283183

@biplabanand I fixed it and double checked. It should be ok. I scheduled it for today morning SWAT window (15:00-16:00 UTC) so it should be fixed soon. Sorry for my typo.

Change 283183 merged by jenkins-bot:
Fix typo in newikibooks namespaces

https://gerrit.wikimedia.org/r/283183

Urbanecm closed this task as Resolved.Apr 13 2016, 3:17 PM

It should be ok now. Please check it.

It should be ok now. Please check it.

Yeah, It's fy9 now!! Cheers

Thanks for checking!